package com.example.android.camera2basic;

import android.content.ContentResolver;
import android.content.Context;
import android.content.Intent;
import android.content.BroadcastReceiver;

import android.util.Log;

public class TrigerIntentReceiver extends BroadcastReceiver
{
    private static final String TAG = "Avin_TigerIntentReceiver";
    private static final String ACTION_TV_INPUT_VGA_1 = "android.intent.action.TV_INPUT_VGA_1";

	@Override
	public void onReceive(Context context, Intent intent) {
		Log.d(TAG," trigerReceiver-Johnn-");
	    if(intent.getAction().equals(ACTION_TV_INPUT_VGA_1)){
		boolean level = (boolean)intent.getExtras().getBoolean("keydown");
		Log.d(TAG, "get action");
		if(level) {
		    //Intent starterIntent = new Intent(context, MainActivity.class);
			Intent starterIntent = new Intent(context, CameraActivity.class);
		    starterIntent.setFlags(Intent.FLAG_ACTIVITY_NEW_TASK);
		    context.startActivity(starterIntent);
		}
	    }
	
	}
}
